Bug 123388 - FILEOPEN DOCX PRODUCT table formula is not working in LO.
Summary: FILEOPEN DOCX PRODUCT table formula is not working in LO.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: DOCX-Fields Regressions-expression-is-faulty
  Show dependency treegraph
 
Reported: 2019-02-12 07:57 UTC by NISZ LibreOffice Team
Modified: 2020-08-31 11:54 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the original document side by side in Word and Writer. (286.41 KB, image/png)
2019-02-12 07:57 UTC, NISZ LibreOffice Team
Details
Document with PRODUCT table formulas. (20.37 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-02-12 07:58 UTC, NISZ LibreOffice Team
Details
Simplier Product formula (19.15 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-02-12 10:52 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-02-12 07:57:23 UTC
Description:
PRODUCT table formula has Expression is faulty when opened in LO.

Steps to Reproduce:
    1. Create a new docx in Word.
    2. Insert a Table.
    3. Insert PRODUCT() formula to some of the cells.
    4. Save and open it in LO.

Actual Results:
The cells which had and PRODUCT formula now have ** Expression is faulty ** instead of what was in them in Word.

Expected Results:
All the cells should have the same data in them.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details: Version: 6.3.0.0.alpha0+
Build ID: cec7ae9f3c69ecc83462f28fc4987e37dc1b420e
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded
Comment 1 NISZ LibreOffice Team 2019-02-12 07:57:48 UTC
Created attachment 149192 [details]
Screenshot of the original document side by side in Word and Writer.
Comment 2 NISZ LibreOffice Team 2019-02-12 07:58:05 UTC
Created attachment 149193 [details]
Document with PRODUCT table formulas.
Comment 3 Xisco Faulí 2019-02-12 10:52:04 UTC
The attached document contains below/above/right/left which can't be handle by Writer atm. Attaching a new Formula with PRODUCT without those...
Comment 4 Xisco Faulí 2019-02-12 10:52:30 UTC
Created attachment 149218 [details]
Simplier Product formula
Comment 5 Commit Notification 2020-08-25 10:28:17 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/267da17721fae4708c0168b9a1e2917cae38628b

tdf#123388 sw: add PRODUCT table formula

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Roman Kuznetsov 2020-08-26 17:44:53 UTC
verified in

Version: 7.1.0.0.alpha0+
Build ID: 6640d7f405d2970ba2825a9455926cc803284d01
CPU threads: 4; OS: Mac OS X 10.15.5; UI render: default; VCL: osx
Locale: ru-RU (ru_RU.UTF-8); UI: en-US
Calc: threaded
Comment 7 Xisco Faulí 2020-08-31 11:54:04 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: e2f4e65a7b8024c00b049eebf0d87637efda7f24
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@László Németh, thanks for fixing this issue!!